stages:
  - before_build
  - build
  - release

upcoming_version:
  stage: before_build
  image:
    name: tartar4s/semver-ci:v0.9.3
    entrypoint: [""]
  script:
    - |
      export SCOPE=$(svci scope)
      svci version >> version.env
  artifacts:
    reports:
      dotenv: version.env
  rules:
    - if: $CI_COMMIT_BRANCH =~ /^(develop|feature\/.+|release\/.+|hotfix\/.+|main)$/

build:
  stage: build
  script:
    - echo "$UPCOMING_VERSION"
  rules:
    - if: $CI_COMMIT_BRANCH =~ /^(develop|feature\/.+|release\/.+|hotfix\/.+|main)$/

release:
  stage: release
  image:
    name: tartar4s/semver-ci:v0.9.3
    entrypoint: [""]
  script:
    - svci release -g -p $LAST_VERSION $UPCOMING_VERSION
  rules:
    - if: $CI_COMMIT_BRANCH =~ /^(develop|feature\/.+|release\/.+|hotfix\/.+|main)$/
